<template>
  <v-hover v-slot:default="{ hover }">
    <router-link
      class="curved-trend-post-card d-flex"
      :class="hover ? 'elevation-6' : null"
      :to="{ name: 'trends-home-post', params: { id: post.id } }"
    >
      <v-avatar
        size="65"
        class="curved-trend-post-card-avatar align-self-center"
      >
        <v-img :src="require(`@/assets/img/articles/${post.img}`)" />
      </v-avatar>
      <div class="d-inline-block pl-0 pa-5 align-self-center">
        <div class="curved-trend-post-card-title">
          {{ post.author }}
        </div>
        <div class="curved-trend-post-card-subtitle">
          {{ post.title }}
        </div>
      </div>
    </router-link>
  </v-hover>
</template>

<script>
export default {
  name: "CurvedTrendPostCard",

  props: {
    post: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style>
.curved-trend-post-card {
  height: 100px;
  background-color: rgba(115, 25, 213, 0.1);
  border-radius: 45px;
  color: initial;
  text-decoration: none;
}

.curved-trend-post-card.elevation-6 {
  cursor: pointer;
}

.curved-trend-post-card-avatar {
  margin: 14px;
}

.curved-trend-post-card-title {
  font-family: "Josefin Sans", sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 18px;
  line-height: 18px;
}

.curved-trend-post-card-subtitle {
  font-family: "Roboto Condensed", sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 18px;
  line-height: 21px;

  color: #615d5d;
}
</style>
